Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hey Everyone- I Have An Issue Started Today With Trains-Agent Which I’M Getting This Error On Startup:

Hey everyone- i have an issue started today with trains-agent which iā€™m getting this error on startup:
trains_agent: ERROR: It is required that you pass in a value for the "algorithms" argument when calling decode().

  
  
Posted 2 years ago
Votes Newest

Answers 10


Thanks, look like it fixed the issue!

  
  
Posted 2 years ago

GrotesqueMonkey62 FlatChicken93

  
  
Posted 2 years ago

Okay. So is there a way around it?

  
  
Posted 2 years ago

Hi SlipperyDove40 ,
The culprit is the latest pyjwt just released (2.0.0) which changed the signature for the decode function.

  
  
Posted 2 years ago

I am still getting the error even with the v0.16.3 agent, is there something else we have to do other than updating it?

  
  
Posted 2 years ago

File "/home/ramon/.trains/venvs-builds/3.7/lib/python3.7/site-packages/trains/backend_api/session/token_manager.py", line 72, in _get_token_exp return jwt.decode(token, verify=False).get('exp', sys.maxsize) File "/home/ramon/.trains/venvs-builds/3.7/lib/python3.7/site-packages/jwt/api_jwt.py", line 113, in decode decoded = self.decode_complete(jwt, key, algorithms, options, **kwargs) File "/home/ramon/.trains/venvs-builds/3.7/lib/python3.7/site-packages/jwt/api_jwt.py", line 80, in decode_complete 'It is required that you pass in a value for the "algorithms" argument when calling decode().' jwt.exceptions.DecodeError: It is required that you pass in a value for the "algorithms" argument when calling decode().

  
  
Posted 2 years ago

PyJWT==1.7.1 I tried to lock PyJWT to 1.7.1 and it worked for me

  
  
Posted 2 years ago

We'll release a patch version with a constraint on this package

  
  
Posted 2 years ago

SlipperyDove40 please try out Trains Agent v0.16.3 (just released) and let me know if it works šŸ™‚

  
  
Posted 2 years ago

SuccessfulKoala55 Thank you for the prompt response šŸ¤© šŸ™

  
  
Posted 2 years ago
400 Views
10 Answers
2 years ago
10 months ago
Tags